//---------------------------------------------------------------------------
#include "sros.h"
#include "OSCore.h"
#include "device4.h"
#include "3052.h"
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
//  LN^[foCXhCo֐ `
//---------------------------------------------------------------------------
/***************************************************

	LN^[foCXhCo֐

 ***************************************************/

static int DevNo;

//---------------------------------------------------------------------------
//  [U[C^[tF[X
//---------------------------------------------------------------------------
char GetDEV4NAME(void)
{
	return GetDEV(DevNo);
}

void PutDEV4NAME(char c)
{
	PutDEV(DevNo, c);
}

BOOL EmptyReadBufDEV4NAME(void)
{
	return EmptyReadBuf(DevNo);
}

BOOL EmptyWriteBufDEV4NAME(void)
{
	return EmptyWriteBuf(DevNo);
}

void PrintDEV4NAME(char * msg)
{
	PrintDEV(DevNo, msg);
}

void ControlDEV4NAME(char * msg)
{

}

//---------------------------------------------------------------------------
//  hCoC^[tF[X
//---------------------------------------------------------------------------
static BOOL RD_Ready(void)
{

}

static char IRQ_Read(void)
{

}

static BOOL WR_Ready(void)
{

}

static void IRQ_Write(char c)
{

}

//---------------------------------------------------------------------------
//  [`
//---------------------------------------------------------------------------
static void InitDEV(void)
{

}

static DEVICE dev;

void AddDEV4NAME(int No)
{
	DevNo = No;
	dev.Init		= InitDEV;
	dev.Ctrl		= ControlDEV4NAME;

	dev.IRQ_ReadDevice = IRQ_Read;
	dev.RD_Ready	= RD_Ready;

	dev.IRQ_WriteDevice = IRQ_Write;
	dev.WR_Ready	= WR_Ready;

	SetDevice(DevNo, &dev);

}
