//---------------------------------------------------------------------------
#ifndef TCPP
#include "3664.h"
#define SET_SPONTER   asm("mov.l	er7,@_spm\nmov.l	@_sp,er7\n")
#define RESET_SPONTER asm("mov.l	@_spm,er7")
#define CHG_THREAD    asm("trapa #0")
#endif

#ifdef TCPP
#define EI
#define DI
#define SET_SPONTER
#define RESET_SPONTER
#define CHG_THREAD ChangeThread(&sp)
#endif

#ifndef BIOSH
#define BIOSH
//---------------------------------------------------------------------------
#define SW1_MASK 0x01
#define SW2_MASK 0x02
#define SW3_MASK 0x04
#define SW4_MASK 0x08
#define SW_MASK  0x0F

void RegistDriver(void);
void init_io(void);
void init_systimer(void);

void WriteLEDPort(BYTE value);
BYTE GetSW(void);
BYTE GetDIPSW(void);
void init_bios(void);

void SWEvent(BYTE data);
long ThreadStckTop(int Select);

struct tag_ADCData{
	BYTE Select;
	BYTE Count;
	WORD data[8];
	WORD AVGDATA[8][8];
	WORD SUM[8];
};

void SetMoveAvg(int Select, WORD data);
#endif
