//---------------------------------------------------------------------------
#include "sros.h"
#include "OSCore.h"
#include "device4.h"
#include "3048.h"
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
//  LN^[foCXhCo֐ `
//---------------------------------------------------------------------------
/***************************************************

	LN^[foCXhCo֐

 ***************************************************/

static int DevNo;
static DEVICE dev;

//---------------------------------------------------------------------------
//  [U[C^[tF[X
//---------------------------------------------------------------------------
char GetDEV4NAME(void)
{
	return GetDEV(DevNo);
}

void PutDEV4NAME(char c)
{
	PutDEV(DevNo, c);
}

BOOL EmptyReadBufDEV4NAME(void)
{
	return EmptyReadBuf(DevNo);
}

BOOL EmptyWriteBufDEV4NAME(void)
{
	return EmptyWriteBuf(DevNo);
}

void PrintDEV4NAME(char * msg)
{
	PrintDEV(DevNo, msg);
}

void ControlDEV4NAME(char * msg)
{

}

//---------------------------------------------------------------------------
//  hCoC^[tF[X
//---------------------------------------------------------------------------
static BOOL RD_Ready(void)
{

}

static char IRQ_Read(void)
{

}

static BOOL WR_Ready(void)
{

}

static void IRQ_Write(char c)
{

}

//---------------------------------------------------------------------------
//  [`
//---------------------------------------------------------------------------
static void InitDEV(void)
{

}

static void Free(void)
{
	SetDevice(DevNo, 0);
}

void AddDEV4NAME(int No)
{
	int i;

	DevNo = No;
	dev.Init		= InitDEV;
	dev.Ctrl		= ControlDEV4NAME;

	dev.IRQ_ReadDevice = IRQ_Read;
	dev.RD_Ready	= RD_Ready;

	dev.IRQ_WriteDevice = IRQ_Write;
	dev.WR_Ready	= WR_Ready;
	dev.Free		= Free;

	dev.Buffer[0].count = 0;
	dev.Buffer[1].count = 0;
	dev.Buffer[0].top   = 0;
	dev.Buffer[1].top   = 0;

	for(i = 0; i < MAX_BUFFER; i++)
	{
		dev.Buffer[0].buf[i] = 0;
		dev.Buffer[1].buf[i] = 0;
	}
	SetDevice(DevNo, &dev);

}
